using UnityEngine;

public class Raycastting : MonoBehaviour
{
    public Transform rayOrigin; // Işının başlangıç noktası
    public Vector2 rayDirection = Vector2.right; // Işının yönü
    public float rayLength = 5f; // Işının uzunluğu
    public bool isHitted;
    public GameObject HittedObject;

    void Update()
    {
        // Ray'i oluştur
        RaycastHit2D hit = Physics2D.Raycast(rayOrigin.position, rayOrigin.up, rayLength);

        // Ray'i çiz (her zaman kırmızı)
        Debug.DrawRay(rayOrigin.position, rayOrigin.up * rayLength, Color.red); //Ray'i görmek için Opsiyonel

        // Bir şeye çarptıysa log yazdır
        if (hit.collider != null && !hit.collider.CompareTag("Bullet"))
        {
            //Debug.Log($"Hit {hit.collider.gameObject.tag} at {hit.point}");
            HittedObject = hit.collider.gameObject;
            isHitted = true;

        }
        else
        {
            isHitted = false;
        }
    }
}
